Bug 195881 - symlink perms
symlink perms
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-06-19 04:00 EDT by Florian La Roche
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 03:59:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2006-06-19 04:00:43 EDT
Description of problem:

All perms for symlinks in bind are broken. Please don't use
rpm filelist overrides for the perms.

Also /usr/lib/libbind.so should be removed from bind-devel
subrpm.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jason Vas Dias 2006-07-19 17:42:53 EDT
This bug should be fixed with bind-9.3.2-30.fc6 and bind-9.3.2-22.fc5 .

/usr/lib/libbind.so is now owned by bind-libbind-devel, not bind-devel.

There don't seem to be any problems with the symlink perms - these are 
the only symlinks owned by all bind packages:
 
$ rpm -qplv i386/* | grep '\->'
lrw-r--r--    1 root    root               17 Jul 19 15:33 /usr/lib/libbind9.so
-> libbind9.so.0.0.7
lrw-r--r--    1 root    root               16 Jul 19 15:33 /usr/lib/libdns.so ->
libdns.so.21.0.1
lrw-r--r--    1 root    root               16 Jul 19 15:33 /usr/lib/libisc.so ->
libisc.so.11.0.1
lrw-r--r--    1 root    root               17 Jul 19 15:33 /usr/lib/libisccc.so
-> libisccc.so.0.2.1
lrw-r--r--    1 root    root               18 Jul 19 15:33 /usr/lib/libisccfg.so
-> libisccfg.so.1.0.6
lrw-r--r--    1 root    root               17 Jul 19 15:33 /usr/lib/liblwres.so
-> liblwres.so.9.1.1
lrw-r--r--    1 root    root               16 Jul 19 15:34 /usr/lib/libbind.so
-> libbind.so.4.0.2
lrwxr-xr-x    1 root    root               16 Jul 19 15:34 /usr/lib/libbind.so.4
-> libbind.so.4.0.2
lrwxr-xr-x    1 root    root               16 Jul 19 15:34 /usr/lib/libbind.so.4
-> libbind.so.4.0.2
lrwxr-xr-x    1 root    root               17 Jul 19 15:33
/usr/lib/libbind9.so.0 -> libbind9.so.0.0.7
lrwxr-xr-x    1 root    root               16 Jul 19 15:33 /usr/lib/libdns.so.21
-> libdns.so.21.0.1
lrwxr-xr-x    1 root    root               16 Jul 19 15:33 /usr/lib/libisc.so.11
-> libisc.so.11.0.1
lrwxr-xr-x    1 root    root               17 Jul 19 15:33
/usr/lib/libisccc.so.0 -> libisccc.so.0.2.1
lrwxr-xr-x    1 root    root               18 Jul 19 15:33
/usr/lib/libisccfg.so.1 -> libisccfg.so.1.0.6
lrwxr-xr-x    1 root    root               17 Jul 19 15:33
/usr/lib/liblwres.so.9 -> liblwres.so.9.1.1

Please let me know if there's any problem with the above perms - thanks.
Comment 2 Fedora Update System 2006-07-22 14:59:50 EDT
bind-9.3.2-22.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Florian La Roche 2006-07-24 03:59:04 EDT
lrwxr-xr-x    1 root    root               16 Jul 21 23:02 /usr/lib/libbind.so.4
-> libbind.so.4.0.2
-rwxr-xr-x    1 root    root           320820 Jul 21 23:02 /usr/lib/libbind.so.4.0.2
lrwxr-xr-x    1 root    root               17 Jul 21 23:02
/usr/lib/libbind9.so.0 -> libbind9.so.0.0.7
-rwxr-xr-x    1 root    root            59866 Jul 21 23:02
/usr/lib/libbind9.so.0.0.7
lrwxr-xr-x    1 root    root               16 Jul 21 23:02 /usr/lib/libdns.so.21
-> libdns.so.21.0.1
-rwxr-xr-x    1 root    root          2684811 Jul 21 23:02 /usr/lib/libdns.so.21.0.1
lrwxr-xr-x    1 root    root               16 Jul 21 23:01 /usr/lib/libisc.so.11
-> libisc.so.11.0.1
-rwxr-xr-x    1 root    root           265660 Jul 21 23:02 /usr/lib/libisc.so.11.0.1
lrwxr-xr-x    1 root    root               17 Jul 21 23:01
/usr/lib/libisccc.so.0 -> libisccc.so.0.2.1
-rwxr-xr-x    1 root    root            29012 Jul 21 23:02
/usr/lib/libisccc.so.0.2.1
lrwxr-xr-x    1 root    root               18 Jul 21 23:02
/usr/lib/libisccfg.so.1 -> libisccfg.so.1.0.6
-rwxr-xr-x    1 root    root            67104 Jul 21 23:02
/usr/lib/libisccfg.so.1.0.6
lrwxr-xr-x    1 root    root               17 Jul 21 23:02
/usr/lib/liblwres.so.9 -> liblwres.so.9.1.1
-rwxr-xr-x    1 root    root            70536 Jul 21 23:02
/usr/lib/liblwres.so.9.1.1

Note You need to log in before you can comment on or make changes to this bug.